SupremeRAID™ RESTful API Date: 4/24/26
The SupremeRAID™ RESTful API facilitates easy integration with third-party systems, offering CRUD operations and tailored response codes for efficient RAID management.
Version: 1.0.1 Base Path: /api/v1 Content-Type: application/json Authentication: All API requests require authentication except for the setup and token generation endpoints. Security Scheme Type Header Name APIAuth apiKey Authorization
200: OK. Please refer to the status code section 400: Invalid request message framing401: Invalid authentication credentials500: Unexpected internal server errorResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"gpuraid" : "9.9.9-999.g12345678.999" ,
"graidmgr" : "1.0.1"
}
}
Method Path POST /setup/authentication
Parameters (Required Model): auth.SetupAuthRequest{
"host_token" : "string" ,
"password" : "string"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Parameters (Required Model): auth.GenerateTokenRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"expired_timestamp" : 0 ,
"token" : "string"
}
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"active" : true ,
"expired" : true ,
"ha" : true ,
"keys" : [
{
"expired_date" : "string" ,
"expired_remain_days" : 0 ,
"ha" : true ,
"key" : "string" ,
"nvmeof" : true ,
"pd_num" : 0 ,
"raid5" : true ,
"raid6" : true
}
] ,
"nvmeof" : true ,
"pd_num" : 0 ,
"raid5" : true ,
"raid6" : true
}
]
}
Parameters (Required Model): raid.ApplyLicenseRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Parameters (Query): category (string): [raid]severity (string): [info, warning, error, critical, fatal]start_ts (integer): 10-digit epoch time: example(1705997428)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"category" : "string" ,
"is_checked" : true ,
"message" : "string" ,
"severity" : "string" ,
"timestamp" : 0 ,
"uuid" : "string"
}
]
}
Parameters (Required Model): events.EventDeleteRequest{
"category" : "raid" ,
"end_time" : 0 ,
"severity" : "info|warning|error|critical|all" ,
"start_time" : 0
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path DELETE /events/all
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Parameters (Required Path): id (integer)Responses: 200 OK(please refer to the status code section){
"code" : 0 ,
"data" : {
"category" : "string" ,
"is_checked" : true ,
"message" : "string" ,
"severity" : "string" ,
"timestamp" : 0 ,
"uuid" : "string"
}
}
Parameters (Required Path): id (integer, required)Responses: 200 OK(please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"account" : "string" ,
"created_at" : 0 ,
"email" : "example@example.com" ,
"id" : "0" ,
"modified_at" : 0 ,
"name" : "display name" ,
"notification" : {
"categories" : [
"string"
] ,
"on" : true ,
"severity" : "string"
} ,
"permissions" : [
"string"
] ,
"role" : "string"
}
]
}
Parameters (Required Path): id (integer)Responses: 200 OK(please refer to the status code section){
"code" : 0 ,
"data" : {
"account" : "string" ,
"created_at" : 0 ,
"email" : "example@example.com" ,
"id" : "0" ,
"modified_at" : 0 ,
"name" : "display name" ,
"notification" : {
"categories" : [
"string"
] ,
"on" : true ,
"severity" : "string"
} ,
"permissions" : [
"string"
] ,
"role" : "string"
}
}
Parameters (Required Model): users.UserCreateRequest{
"account" : "user1" ,
"admin" : true ,
"email" : "example@example.com" ,
"name" : "user1" ,
"password" : "password1"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Parameters (Required Path): id (integer)
Parameters (Required Model): users.UserEditRequest
{
"email" : { } ,
"name" : { } ,
"password" : { } ,
"role" : { }
}
Responses: 200 OK (please refer to the status code section)
{
"code" : 0 ,
"data" : { }
}
Method Path PUT /users/{id}/notification
Parameters (Required Path): id (integer)Parameters (Required Model): users.UserNotificationEditRequest{
"categories" : [
"gpuraid" ,
"task"
] ,
"on" : false ,
"severity" : "info|warning|error|critical"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Parameters (Required Path): id (integer)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path GET /physical_drives
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"assumed_clean" : true ,
"critical_warning" : 0 ,
"dev_path" : "string" ,
"global_hotspare" : true ,
"guid" : "string" ,
"hotspare_targets" : [
"string"
] ,
"id" : 0 ,
"is_locating" : true ,
"model" : "string" ,
"numa_node" : 0 ,
"nvme_smart_Info" : {
"available_spare" : "string" ,
"available_spare_threshold" : "string" ,
"composite_temperature" : "string" ,
"controller_busy_time" : "string" ,
"critical_composite_temperature_time" : "string" ,
"critical_warning" : "string" ,
"data_units_read" : "string" ,
"data_units_written" : "string" ,
"endurance_group_critical_warning_summary" : "string" ,
"host_reads_commands" : "string" ,
"host_writes_commands" : "string" ,
"media_and_data_integrity_errors" : "string" ,
"number_of_error_information_log_entries" : "string" ,
"percent_used" : "string" ,
"power_cycles" : "string" ,
"power_on_hours" : "string" ,
"thermal_temperature_t1_total_time" : "string" ,
"thermal_temperature_t1_transition_count" : "string" ,
"thermal_temperature_t2_total_time" : "string" ,
"thermal_temperature_t2_transition_count" : "string" ,
"unsafe_shutdown" : "string" ,
"warning_composite_temperature_time" : "string"
} ,
"rebuild_estimate_time" : 0 ,
"rebuild_progress" : 0 ,
"rebuild_status" : "string" ,
"serial_number" : "string" ,
"size" : 0 ,
"slot_id" : 0 ,
"state" : "string" ,
"uuid" : "string" ,
"wearout" : 0
}
]
}
Method Path GET /physical_drives/free
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"assumed_clean" : true ,
"critical_warning" : 0 ,
"dev_path" : "string" ,
"global_hotspare" : true ,
"guid" : "string" ,
"hotspare_targets" : [
"string"
] ,
"id" : 0 ,
"is_locating" : true ,
"model" : "string" ,
"numa_node" : 0 ,
"nvme_smart_Info" : {
"available_spare" : "string" ,
"available_spare_threshold" : "string" ,
"composite_temperature" : "string" ,
"controller_busy_time" : "string" ,
"critical_composite_temperature_time" : "string" ,
"critical_warning" : "string" ,
"data_units_read" : "string" ,
"data_units_written" : "string" ,
"endurance_group_critical_warning_summary" : "string" ,
"host_reads_commands" : "string" ,
"host_writes_commands" : "string" ,
"media_and_data_integrity_errors" : "string" ,
"number_of_error_information_log_entries" : "string" ,
"percent_used" : "string" ,
"power_cycles" : "string" ,
"power_on_hours" : "string" ,
"thermal_temperature_t1_total_time" : "string" ,
"thermal_temperature_t1_transition_count" : "string" ,
"thermal_temperature_t2_total_time" : "string" ,
"thermal_temperature_t2_transition_count" : "string" ,
"unsafe_shutdown" : "string" ,
"warning_composite_temperature_time" : "string"
} ,
"rebuild_estimate_time" : 0 ,
"rebuild_progress" : 0 ,
"rebuild_status" : "string" ,
"serial_number" : "string" ,
"size" : 0 ,
"slot_id" : 0 ,
"state" : "string" ,
"uuid" : "string" ,
"wearout" : 0
}
]
}
Method Path GET /physical_drives/locate
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"assumed_clean" : true ,
"critical_warning" : 0 ,
"dev_path" : "string" ,
"global_hotspare" : true ,
"guid" : "string" ,
"hotspare_targets" : [
"string"
] ,
"id" : 0 ,
"is_locating" : true ,
"model" : "string" ,
"numa_node" : 0 ,
"nvme_smart_Info" : {
"available_spare" : "string" ,
"available_spare_threshold" : "string" ,
"composite_temperature" : "string" ,
"controller_busy_time" : "string" ,
"critical_composite_temperature_time" : "string" ,
"critical_warning" : "string" ,
"data_units_read" : "string" ,
"data_units_written" : "string" ,
"endurance_group_critical_warning_summary" : "string" ,
"host_reads_commands" : "string" ,
"host_writes_commands" : "string" ,
"media_and_data_integrity_errors" : "string" ,
"number_of_error_information_log_entries" : "string" ,
"percent_used" : "string" ,
"power_cycles" : "string" ,
"power_on_hours" : "string" ,
"thermal_temperature_t1_total_time" : "string" ,
"thermal_temperature_t1_transition_count" : "string" ,
"thermal_temperature_t2_total_time" : "string" ,
"thermal_temperature_t2_transition_count" : "string" ,
"unsafe_shutdown" : "string" ,
"warning_composite_temperature_time" : "string"
} ,
"rebuild_estimate_time" : 0 ,
"rebuild_progress" : 0 ,
"rebuild_status" : "string" ,
"serial_number" : "string" ,
"size" : 0 ,
"slot_id" : 0 ,
"state" : "string" ,
"uuid" : "string" ,
"wearout" : 0
}
]
}
Method Path GET /physical_drives/numa/
Parameters (Required path): node (integer)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"assumed_clean" : true ,
"critical_warning" : 0 ,
"dev_path" : "string" ,
"global_hotspare" : true ,
"guid" : "string" ,
"hotspare_targets" : [
"string"
] ,
"id" : 0 ,
"is_locating" : true ,
"model" : "string" ,
"numa_node" : 0 ,
"nvme_smart_Info" : {
"available_spare" : "string" ,
"available_spare_threshold" : "string" ,
"composite_temperature" : "string" ,
"controller_busy_time" : "string" ,
"critical_composite_temperature_time" : "string" ,
"critical_warning" : "string" ,
"data_units_read" : "string" ,
"data_units_written" : "string" ,
"endurance_group_critical_warning_summary" : "string" ,
"host_reads_commands" : "string" ,
"host_writes_commands" : "string" ,
"media_and_data_integrity_errors" : "string" ,
"number_of_error_information_log_entries" : "string" ,
"percent_used" : "string" ,
"power_cycles" : "string" ,
"power_on_hours" : "string" ,
"thermal_temperature_t1_total_time" : "string" ,
"thermal_temperature_t1_transition_count" : "string" ,
"thermal_temperature_t2_total_time" : "string" ,
"thermal_temperature_t2_transition_count" : "string" ,
"unsafe_shutdown" : "string" ,
"warning_composite_temperature_time" : "string"
} ,
"rebuild_estimate_time" : 0 ,
"rebuild_progress" : 0 ,
"rebuild_status" : "string" ,
"serial_number" : "string" ,
"size" : 0 ,
"slot_id" : 0 ,
"state" : "string" ,
"uuid" : "string" ,
"wearout" : 0
}
]
}
Method Path GET /physical_drives/{uuid}
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"assumed_clean" : true ,
"critical_warning" : 0 ,
"dev_path" : "string" ,
"global_hotspare" : true ,
"guid" : "string" ,
"hotspare_targets" : [
"string"
] ,
"id" : 0 ,
"is_locating" : true ,
"model" : "string" ,
"numa_node" : 0 ,
"nvme_smart_Info" : {
"available_spare" : "string" ,
"available_spare_threshold" : "string" ,
"composite_temperature" : "string" ,
"controller_busy_time" : "string" ,
"critical_composite_temperature_time" : "string" ,
"critical_warning" : "string" ,
"data_units_read" : "string" ,
"data_units_written" : "string" ,
"endurance_group_critical_warning_summary" : "string" ,
"host_reads_commands" : "string" ,
"host_writes_commands" : "string" ,
"media_and_data_integrity_errors" : "string" ,
"number_of_error_information_log_entries" : "string" ,
"percent_used" : "string" ,
"power_cycles" : "string" ,
"power_on_hours" : "string" ,
"thermal_temperature_t1_total_time" : "string" ,
"thermal_temperature_t1_transition_count" : "string" ,
"thermal_temperature_t2_total_time" : "string" ,
"thermal_temperature_t2_transition_count" : "string" ,
"unsafe_shutdown" : "string" ,
"warning_composite_temperature_time" : "string"
} ,
"rebuild_estimate_time" : 0 ,
"rebuild_progress" : 0 ,
"rebuild_status" : "string" ,
"serial_number" : "string" ,
"size" : 0 ,
"slot_id" : 0 ,
"state" : "string" ,
"uuid" : "string" ,
"wearout" : 0
}
}
Method Path POST /physical_drives
Parameters (Required Model: raid.PhysicalDriveCreateRequest{
"device" : "\<DEVICE_PATH\>|\<NQN\>|\<WWID\>"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"pd_uuid" : "string"
}
}
Method Path DELETE /physical_drives/{uuid}
Parameters (Required path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /physical_drives/{uuid}/marker
Parameters (Required path): uuid (string)Parameters (Required Model): raid.PhysicalDriveMarkerRequest online: state will be 'online' offline: state will be 'offline' good: state will be 'unconfigured_good' bad: state will be 'unconfigured_bad' {
"marker" : "online | offline | good | bad"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path POST /physical_drives/{uuid}/replace
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.PhysicalDriveReplaceRequest{
"new_device" : "\<DEVICE_PATH\>|\<NQN\>|\<WWID\>"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path POST /physical_drives/{uuid}/locate
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path DELETE /physical_drives/{uuid}/locate
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /physical_drives/{uuid}/hotspare
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.PhysicalDriveSetHotspareRequest{
"dg_uuids" : [
"string"
]
}
Responses: 200OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path POST /physical_drives/{uuid}/hotspare/global
Parameters (Required path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path DELETE /physical_drives/{uuid}/hotspare/global
Parameters (Required path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path GET /drive_groups
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"assume_clean" : true ,
"auto_failover" : true ,
"cc_error" : true ,
"cc_running" : true ,
"cc_speed" : "string" ,
"copyback_dst_pd_uuid" : "string" ,
"copyback_running" : true ,
"copyback_spare" : true ,
"copyback_speed" : "string" ,
"copyback_src_pd_uuid" : "string" ,
"free" : 0 ,
"fw_rev" : "string" ,
"id" : 0 ,
"init_speed" : "string" ,
"journal_mode" : "string" ,
"journal_support" : true ,
"mode" : "string" ,
"model" : "string" ,
"nqn" : "string" ,
"pd_uuids" : [
"string"
] ,
"prefer_controller" : "string" ,
"rebuild_speed" : "string" ,
"resync_speed" : "string" ,
"running_controller" : "string" ,
"serial" : "string" ,
"size" : 0 ,
"spdk_bdev" : true ,
"state" : "string" ,
"strip_size" : 0 ,
"sync_estimate_time" : 0 ,
"sync_progress" : 0 ,
"used_size" : 0 ,
"uuid" : "string" ,
"vd_num" : 0 ,
"vendor" : "string"
}
]
}
Method Path GET /drive_groups/{uuid}
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"assume_clean" : true ,
"auto_failover" : true ,
"cc_error" : true ,
"cc_running" : true ,
"cc_speed" : "string" ,
"copyback_dst_pd_uuid" : "string" ,
"copyback_running" : true ,
"copyback_spare" : true ,
"copyback_speed" : "string" ,
"copyback_src_pd_uuid" : "string" ,
"free" : 0 ,
"fw_rev" : "string" ,
"id" : 0 ,
"init_speed" : "string" ,
"journal_mode" : "string" ,
"journal_support" : true ,
"mode" : "string" ,
"model" : "string" ,
"nqn" : "string" ,
"pd_uuids" : [
"string"
] ,
"prefer_controller" : "string" ,
"rebuild_speed" : "string" ,
"resync_speed" : "string" ,
"running_controller" : "string" ,
"serial" : "string" ,
"size" : 0 ,
"spdk_bdev" : true ,
"state" : "string" ,
"strip_size" : 0 ,
"sync_estimate_time" : 0 ,
"sync_progress" : 0 ,
"used_size" : 0 ,
"uuid" : "string" ,
"vd_num" : 0 ,
"vendor" : "string"
}
}
Method Path GET /drive_groups/{uuid}/physical_drives
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"assumed_clean" : true ,
"critical_warning" : 0 ,
"dev_path" : "string" ,
"global_hotspare" : true ,
"guid" : "string" ,
"hotspare_targets" : [
"string"
] ,
"id" : 0 ,
"is_locating" : true ,
"model" : "string" ,
"numa_node" : 0 ,
"nvme_smart_Info" : {
"available_spare" : "string" ,
"available_spare_threshold" : "string" ,
"composite_temperature" : "string" ,
"controller_busy_time" : "string" ,
"critical_composite_temperature_time" : "string" ,
"critical_warning" : "string" ,
"data_units_read" : "string" ,
"data_units_written" : "string" ,
"endurance_group_critical_warning_summary" : "string" ,
"host_reads_commands" : "string" ,
"host_writes_commands" : "string" ,
"media_and_data_integrity_errors" : "string" ,
"number_of_error_information_log_entries" : "string" ,
"percent_used" : "string" ,
"power_cycles" : "string" ,
"power_on_hours" : "string" ,
"thermal_temperature_t1_total_time" : "string" ,
"thermal_temperature_t1_transition_count" : "string" ,
"thermal_temperature_t2_total_time" : "string" ,
"thermal_temperature_t2_transition_count" : "string" ,
"unsafe_shutdown" : "string" ,
"warning_composite_temperature_time" : "string"
} ,
"rebuild_estimate_time" : 0 ,
"rebuild_progress" : 0 ,
"rebuild_status" : "string" ,
"serial_number" : "string" ,
"size" : 0 ,
"slot_id" : 0 ,
"state" : "string" ,
"uuid" : "string" ,
"wearout" : 0
}
]
}
Method Path GET /drive_groups/{uuid}/virtual_drives
Parameters (Required path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"backend_dg_id" : 0 ,
"backend_uuid" : "string" ,
"backend_vd_id" : 0 ,
"cache_dg_id" : 0 ,
"cache_state" : "string" ,
"cache_uuid" : "string" ,
"cache_vd_id" : 0 ,
"dev_path" : "string" ,
"dg_id" : 0 ,
"dg_uuid" : "string" ,
"export_targets" : [
{
"addr_fam" : "string" ,
"id" : 0 ,
"iface" : "string" ,
"iface_ip" : "string" ,
"service_id" : "string" ,
"spdk" : true ,
"subsystems" : [
{
"dev_path" : "string" ,
"name" : "string" ,
"vd_uuid" : "string"
}
] ,
"trans_type" : "string" ,
"uuid" : "string"
}
] ,
"id" : 0 ,
"serial" : "string" ,
"size" : 0 ,
"spdk" : true ,
"spdk_512e" : true ,
"state" : "string" ,
"uuid" : "string"
}
]
}
Method Path POST /drive_groups
Parameters (Required Model): raid.DriveGroupCreateRequest{
"init_type" : "default|background|foreground" ,
"journal" : "default|on|off" ,
"mode" : "raid0" ,
"pd_uuids" : [
"string"
] ,
"prefer_controller_uuid" : "string" ,
"strip_size" : 4
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"dg_uuid" : "string"
}
}
Method Path POST /drive_groups/md
Parameters (Required Model): raid.DriveGroupMdImportRequest{
"device_1" : "\<DEVICE_PATH\>|\<NQN\>|\<WWID\>" ,
"device_2" : "\<DEVICE_PATH\>|\<NQN\>|\<WWID\>"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"dg_uuid" : "string"
}
}
Method Path DELETE /drive_groups/{uuid}
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/auto_failover
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetAutoFailoverRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/cc_speed
Parameters (Required path): uuid (string)Parameters (Required Model): raid.DriveGroupSetSpeedRequest{
"speed" : "low|normal|high|extreme"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/controller
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetCxRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/copyback_speed
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetSpeedRequest{
"speed" : "low|normal|high|extreme"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/init_speed
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetSpeedRequest{
"speed" : "low|normal|high|extreme"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/journal
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetJournalModeRequest{
"mode" : "always_on|always_off|degrade_only"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/rebuild_speed
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetSpeedRequest{
"speed" : "low|normal|high|extreme"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/rescue_mode
Parameters (Required path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/resync_speed
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetSpeedRequest{
"speed" : "low|normal|high|extreme"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/spdk_bdev
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetAutoFailoverRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /drive_groups/{uuid}/transform_speed
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupSetSpeedRequest{
"speed" : "low|normal|high|extreme"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path POST /drive_groups/{uuid}/locate
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path DELETE /drive_groups/{uuid}/locate
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path POST /drive_groups/{uuid}/copyback
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.DriveGroupStartCopyback{
"dst_pd_uuid" : "string" ,
"spare" : true ,
"src_pd_uuid" : "string"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path DELETE /drive_groups/{uuid}/copyback
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path GET /virtual_drives
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"backend_dg_id" : 0 ,
"backend_uuid" : "string" ,
"backend_vd_id" : 0 ,
"cache_dg_id" : 0 ,
"cache_state" : "string" ,
"cache_uuid" : "string" ,
"cache_vd_id" : 0 ,
"dev_path" : "string" ,
"dg_id" : 0 ,
"dg_uuid" : "string" ,
"export_targets" : [
{
"addr_fam" : "string" ,
"id" : 0 ,
"iface" : "string" ,
"iface_ip" : "string" ,
"service_id" : "string" ,
"spdk" : true ,
"subsystems" : [
{
"dev_path" : "string" ,
"name" : "string" ,
"vd_uuid" : "string"
}
] ,
"trans_type" : "string" ,
"uuid" : "string"
}
] ,
"id" : 0 ,
"serial" : "string" ,
"size" : 0 ,
"spdk" : true ,
"spdk_512e" : true ,
"state" : "string" ,
"uuid" : "string"
}
]
}
Method Path GET /virtual_drives/{uuid}
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"backend_dg_id" : 0 ,
"backend_uuid" : "string" ,
"backend_vd_id" : 0 ,
"cache_dg_id" : 0 ,
"cache_state" : "string" ,
"cache_uuid" : "string" ,
"cache_vd_id" : 0 ,
"dev_path" : "string" ,
"dg_id" : 0 ,
"dg_uuid" : "string" ,
"export_targets" : [
{
"addr_fam" : "string" ,
"id" : 0 ,
"iface" : "string" ,
"iface_ip" : "string" ,
"service_id" : "string" ,
"spdk" : true ,
"subsystems" : [
{
"dev_path" : "string" ,
"name" : "string" ,
"vd_uuid" : "string"
}
] ,
"trans_type" : "string" ,
"uuid" : "string"
}
] ,
"id" : 0 ,
"serial" : "string" ,
"size" : 0 ,
"spdk" : true ,
"spdk_512e" : true ,
"state" : "string" ,
"uuid" : "string"
}
}
Method Path POST /virtual_drives
Parameters (Required Model): raid.VirtualDriveCreateRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"vd_uuid" : "string"
}
}
Method Path DELETE /virtual_drives/{uuid}
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.VirtualDriveDeleteRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path POST /virtual_drives/{uuid}/cache
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.VirtualDriveAddCacheRequest{
"cache_vd_uuid" : "string" ,
"indirection_unit_size" : 0
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path DELETE /virtual_drives/{uuid}/cache)
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.VirtualDriveRemoveCacheRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /virtual_drives/{uuid}/export
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.VirtualDriveExportRequest{
"et_uuids" : [
"string"
] ,
"spdk_512e" : true
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /virtual_drives/{uuid}/unexport
Parameters (Required Path): uuid (string)Parameters (Required Body): virtual_drives/{uuid}/unexport{
"et_uuids" : [
"string"
] ,
"spdk_512e" : true
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path GET /nvme_devices
Responses: 200: OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"address" : "string" ,
"capacity" : 0 ,
"dev_path" : "string" ,
"fw_rev" : "string" ,
"model" : "string" ,
"nqn" : "string" ,
"nsid" : 0 ,
"numa_node" : 0 ,
"serial" : "string" ,
"vendor" : "string"
}
]
}
Method Path GET /nvme_devices/numa/
Parameters (Required path): node (integer)Responses: 200: OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"address" : "string" ,
"capacity" : 0 ,
"dev_path" : "string" ,
"fw_rev" : "string" ,
"model" : "string" ,
"nqn" : "string" ,
"nsid" : 0 ,
"numa_node" : 0 ,
"serial" : "string" ,
"vendor" : "string"
}
]
}
Method Path GET /scsi_devices)
Responses: 200 OK (please refer to the status code section)
{
"code" : 0 ,
"data" : [
{
"capacity" : 0 ,
"dev_path" : "string" ,
"model" : "string" ,
"wwid" : "string"
}
]
}
Method Path GET /controllers
Responses: 200: OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"fullname" : "string" ,
"gpu_uuid" : "string" ,
"id" : 0 ,
"is_expired" : true ,
"license_key" : "string" ,
"numa_node" : 0 ,
"running_dg_uuids" : [
"string"
] ,
"serial_number" : "string" ,
"state" : "string" ,
"uuid" : "string"
}
]
}
Method Path GET /controllers/{uuid}
Parameters (Required Path): uuid (string)Responses: 200: OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"fullname" : "string" ,
"gpu_uuid" : "string" ,
"id" : 0 ,
"is_expired" : true ,
"license_key" : "string" ,
"numa_node" : 0 ,
"running_dg_uuids" : [
"string"
] ,
"serial_number" : "string" ,
"state" : "string" ,
"uuid" : "string"
}
}
Method Path DELETE /controllers/{uuid}
Parameters (Required path): uuid (string)Responses: 200: OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /controllers/{uuid}/disable
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.ControllerDisableRequestResponses: 200: OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /controllers/{uuid}/enable
Parameters (Required path): uuid (string)Responses: 200: OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /controllers/{uuid}/replace
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.ControllerReplaceRequestResponses: 200: OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path GET /export_targets
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"addr_fam" : "string" ,
"id" : 0 ,
"iface" : "string" ,
"iface_ip" : "string" ,
"service_id" : "string" ,
"spdk" : true ,
"subsystems" : [
{
"dev_path" : "string" ,
"name" : "string" ,
"vd_uuid" : "string"
}
] ,
"trans_type" : "string" ,
"uuid" : "string"
}
]
}
Method Path GET /export_targets/{uuid}
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"addr_fam" : "string" ,
"id" : 0 ,
"iface" : "string" ,
"iface_ip" : "string" ,
"service_id" : "string" ,
"spdk" : true ,
"subsystems" : [
{
"dev_path" : "string" ,
"name" : "string" ,
"vd_uuid" : "string"
}
] ,
"trans_type" : "string" ,
"uuid" : "string"
}
}
Method Path POST /export_targets
Parameters (Required Model): raid.NVMeoFCreateRequest{
"addr_fam" : "ipv4" ,
"iface_name" : "ens160" ,
"service_id" : "4420" ,
"spdk" : true ,
"trans_type" : "tcp | rdma"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"et_uuid" : "string"
}
}
Method Path DELETE /export_targets/{uuid}
Parameters (Required Path): uuid (string)Parameters (Required Model): raid.NVMeoFDeleteRequestResponses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"et_uuid" : "string"
}
}
Method Path GET /remote_targets
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"addr_fam" : "string" ,
"service_id" : "string" ,
"trans_addr" : "string" ,
"trans_type" : "string" ,
"uuid" : "string"
}
]
}
Method Path GET /remote_targets/{uuid}
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"addr_fam" : "string" ,
"service_id" : "string" ,
"trans_addr" : "string" ,
"trans_type" : "string" ,
"uuid" : "string"
}
}
Method Path POST /remote_targets
Parameters (Required Model): raid.RemoteTargetConnectRequest{
"addr_fam" : "ipv4|ipv6" ,
"service_id" : "4260" ,
"trans_addr" : "1.2.3.4" ,
"trans_type" : "tcp|rdma|fc"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"rt_uuid" : "string"
}
}
Method Path DELETE /remote_targets/{uuid}
Parameters (Required Path): uuid (string)Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path GET /consistency_check/tasks
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : [
{
"aborted" : true ,
"ctlr_uuid" : "string" ,
"cur_pos" : 0 ,
"dg_uuid" : "string" ,
"end_epoch" : 0 ,
"end_pos" : 0 ,
"manual" : true ,
"nr_cc_errors" : 0 ,
"policy" : "string" ,
"running" : true ,
"started_epoch" : 0
}
]
}
Method Path POST /consistency_check/tasks
Parameters (Required Model): raid.CcStartManualTaskRequest{
"dg_uuids" : [
"string"
] ,
"policy" : "stop_on_error | auto_fix"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path DELETE /consistency_check/tasks
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path GET /consistency_check/config
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : {
"excluded_dgs" : [
"string"
] ,
"next_schedule_epoch" : 0 ,
"policy" : "string" ,
"schedule_base_epoch" : 0 ,
"schedule_mode" : "string"
}
}
Method Path PUT /consistency_check/config/excluded_dgs
Parameters (Required Model): raid.CcSetConfigExcludedDgsRequest{
"dg_uuids" : [
"string"
]
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /consistency_check/config/policy
Parameters (Required Model): raid.CcSetConfigPolicyRequest{
"policy" : "stop_on_error | auto_fix"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Method Path PUT /consistency_check/config/schedule
Parameters (Required Model): raid.CcSetConfigScheduleRequest{
"base_epoch" : 1698768000 ,
"mode" : "off | continuously | hourly | daily | weekly | monthly"
}
Responses: 200 OK (please refer to the status code section){
"code" : 0 ,
"data" : { }
}
Property Type Description passwordstring required
Property Type Description expired_timestampinteger tokenstring
Property Type Description host_tokenstring passwordstring
Property Type Description available_sparestring available_spare_thresholdstring composite_temperaturestring controller_busy_timestring critical_composite_temperature_timestring critical_warningstring data_units_readstring data_units_writtenstring endurance_group_critical_warning_summarystring host_reads_commandsstring host_writes_commandsstring media_and_data_integrity_errorsstring number_of_error_information_log_entriesstring percent_usedstring power_cyclesstring power_on_hoursstring thermal_temperature_t1_total_timestring thermal_temperature_t1_transition_countstring thermal_temperature_t2_total_timestring thermal_temperature_t2_transition_countstring unsafe_shutdownstring warning_composite_temperature_timestring
Property Type Description accountstring created_atinteger required emailstring example: example@example.com idstring ($uint32) example: 0 modified_atinteger namestring notificationcommon.UserNotification required permissionsrequired rolestring required
Property Type Description categoriesstring required onboolean severitystring required
Property Type Description categorystring is_checkedboolean messagestring severitystring timestampinteger uuidstring
Property Type Description categorystring example: raid end_timeinteger severitystring example: info|warning|error|critical|all start_timeinteger
Property Type Description gpuraidstring example: 9.9.9-999.g12345678.999 graidmgrstring example: 1.0.1
Property Type Description gpuraidstring example: 9.9.9-999.g12345678.999 graidmgrstring example: 1.0.1
Property Type Description keystring required
Property Type Description dg_uuidsstring required
Property Type Description policystring required. example: stop_on_error|auto_fix
Property Type Description base_epochinteger example: 1698768000 modeinteger required. example: off|continuously|hourly|daily|weekly|monthly
Property Type Description dg_uuidsstring policystring example: stop_on_error|auto_fix
Property Type Description excluded_dgsstring required next_schedule_epochinteger required policystring required schedule_base_epochinteger required schedule_modestring required
Property Type Description abortedboolean required ctlr_uuidstring required cur_posinteger required dg_uuidstring required end_epochinteger required end_posinteger required manualboolean required nr_cc_errorsinteger required policystring required runningboolean required started_epochinteger required
Property Type Description forceboolean default: false
Property Type Description fullnamestring required gpu_uuidstring required idinteger required is_expiredboolean required license_keystring required numa_nodeinteger required running_dg_uuidsstring required serial_numberstring required statestring required uuidstring required
Property Type Description license_keystring required
Property Type Description init_typestring required. example: default|background|foreground journalstring required. example: default|on|off modestring required. default: raid0 pd_uuidsstring required prefer_controller_uuidstring strip_sizeinteger default: 4, example: 4
Property Type Description dg_uuidstring
Property Type Description assume_cleanboolean auto_failoverboolean cc_errorboolean cc_runningboolean cc_speedstring copyback_dst_pd_uuidstring copyback_runningboolean copyback_spareboolean copyback_speedstring copyback_src_pd_uuidstring freeinteger fw_revstring idinteger init_speedstring journal_modestring journal_supportboolean modestring modelstring nqnstring pd_uuidsstring prefer_controllerstring rebuild_speedstring resync_speedstring running_controllerstring serialstring sizeinteger spdk_bdevboolean statestring strip_sizeinteger sync_estimate_timeinteger sync_progressnumber used_sizeinteger uuidstring vd_numinteger vendorstring
Property Type Description device_1string required. example: <DEVICE_PATH>|<NQN>|<WWID> device_2string required. example: <DEVICE_PATH>|<NQN>|<WWID>
Property Type Description enableboolean default: false
Property Type Description cx_uuidstring required
Property Type Description modestring default: degrade_only, example: always_on|always_off|degrade_only
Property Type Description speedstring required. example: low|normal|high|extreme
Property Type Description dst_pd_uuidstring required. spareboolean src_pd_uuidstring required.
Property Type Description addr_famstring required. idinteger required. ifacestring required. iface_ipstring required. service_idstring required. spdkboolean subsystemsraid.ExportTargetSubsystem required trans_typestring required. uuidstring required.
Property Type Description dev_pathstring required namestring required vd_uuidstring required
Property Type Description activeboolean required expiredboolean required haboolean required keysraid.LicenseKey required nvmeofboolean required pd_numinteger required raid5boolean required raid6boolean required
Property Type Description expired_datestring required expired_remain_daysinteger required haboolean required keystring required nvmeofboolean required pd_numinteger required raid5boolean required raid6boolean required
Property Type Description addressstring capacityinteger dev_pathstring fw_revstring modelstring nqnstring nsidinteger numa_nodeinteger serialstring vendorstring
Property Type Description addr_famstring example: ipv4 iface_namestring example: ens160 service_idstring example: 4420 spdkboolean trans_typestring example: tcp | rdma
Property Type Description et_uuidstring required
Property Type Description forceboolean default: false
Property Type Description devicestring required. example: <DEVICE_PATH>|<NQN>|<WWID>
Property Type Description pd_uuidstring
Property Type Description assumed_cleanboolean critical_warninginteger dev_pathstring required global_hotspareboolean required guidstring required hotspare_targetsstring required idinteger required is_locatingboolean required modelstring required numa_nodeinteger required nvme_smart_Infocommon.NVMeSMARTInfo rebuild_estimate_timeinteger required rebuild_progressnumber required rebuild_statusstring serial_numberstring sizeinteger required slot_idinteger required statestring required uuidstring required wearoutinteger required
Property Type Description markerstring required. example: online | offline | good | bad
Property Type Description new_devicestring required. example: <DEVICE_PATH>|<NQN>|<WWID>
Property Type Description dg_uuidsstring
Property Type Description addr_famstring example: ipv4|ipv6 service_idstring example: 4260 trans_addrstring example: 1.2.3.4 trans_typestring example: tcp|rdma|fc
Property Type Description rt_uuid* string required
Property Type Description addr_famstring required service_idstring required trans_addrstring required trans_typestring required uuidstring required
Property Type Description capacityinteger dev_pathstring modelstring wwidstring
Property Type Description cache_vd_uuidstring indirection_unit_sizeinteger example: 0
Property Type Description dg_uuidstring required serialstring sizeinteger default: 0
Property Type Description vd_uuidstring required
Property Type Description forceboolean default: false
Property Type Description et_uuidsstring required spdk_512eboolean
Property Type Description backend_dg_idinteger required backend_uuidstring required backend_vd_idinteger required cache_dg_idinteger required cache_statestring required cache_uuidstring required cache_vd_idinteger required dev_pathstring required dg_idinteger required dg_uuidstring required export_targetsraid.ExportTargetInfo required idinteger required serialstring required sizeinteger required spdkboolean spdk_512eboolean statestring required uuidstring required
Property Type Description forceboolean default: false
Property Type Description accountstring required. example: user1 adminboolean emailstring example: example@example.com namestring required. example: user1 passwordstring required. example: password1
Property Type Description emailmo.Option-string namemo.Option-string passwordmo.Option-string rolemo.Option-string
Property Type Description categoriesstring required. example: List [ "gpuraid", "task" ] onboolean example: false severitystring required. example: info|warning|error|critical
Code Description 0 The operation was successful. 1 The operation has been submitted for processing. 2 The operation has been submitted for processing and return with metadata. 200 The internal error occurred during the operation. 201 The provided arguments are invalid. 202 The operation is not permitted due to insufficient permissions. 203 The operation is forbidden. 300 The user login attempt failed. 301 The provided user token is invalid. 302 The specified user was not found. 303 The user already exists. 304 The provided user password is incorrect. 305 The email for the user is not verified. 306 The user isn't authorized to access this host. 307 There is no user authorized to access this host. 308 This account is reserved and cannot be used. 309 The number of users has reached the upper limit. 400 The deployment failed due to insufficient resources. 401 The host token is invalid. 402 The host is already bound with host token. 403 The host token has not been bound; please set up authentication. 500 The specified task was not found. 600 The specified event was not found. 700 We can't access the internet service of subscription. 701 The user hasn't completed the challenge. 702 Reactviate failed due to the user's subscription being inactive. 703 The inactive subscription cannot be bound for activating SE MGR. 1000 The specified controller was not found. 1001 The system disallows deleting the current controller. 1004 The controller is currently busy and cannot be disabled. 1005 The controller is not allowed to disable when in current state. 1006 The controller is not allowed to enable when in current state. 1007 The controller is not allowed to replace when in Online state. 1008 The controller is not allowed to replace a license in use. 1100 The specified NVMe drive was not found. 1200 The specified SCSI drive was not found. 1300 The specified physical drive was not found. 1302 The maximum number of physical drives has been reached. 1303 The selected drive is invalid for creating physical drive. 1304 The MD physical drive cannot perform the requested operation. 1306 The physical drive is currently in use. 1307 The hotspare setting for the physical drive is not allowed. 1309 The replacement is not allowed in current physical drive condition. 1313 The selected physical drive cannot be marked in current state. 1315 The replacement device is incompatible with the existing physical drive. 1400 The specified drive group was not found. 1404 The specified strip size is not supported for the chosen RAID mode. 1405 The number of physical drives is invalid for the chosen RAID mode. 1407 The chosen RAID mode does not support journaling. 1408 The physical drive size is insufficient for the drive group configuration. 1409 The maximum number of drive groups has been reached. 1410 The requested operation cannot be performed on an imported MD drive group. 1420 Existing state does not allow rescue mode to be enabled. 1421 The current configuration of the drive group does not support journaling. 1422 The drive group is currently busy and cannot be deleted. 1423 The specified devices are invalid for setting up multiple devices. 1426 The selected controller for the drive group is not online. 1429 The selected physical drive cannot be used to create a drive group. 1430 The selected drive group requires enabling the SPDK option before use. 1431 The physical drives comprising the target do not support this operation. 1432 The Physical Drives comprising the target are forcibly enabled. 1433 The selected drive group cannot be onlined manually. 1434 The physical drive for source of copyback is not found. 1435 The physical drive for destination of copyback is not found. 1436 The physical drive for source of copyback is not in the drive group. 1437 The specified physical drive cannot be the destination of copyback. 1438 The requested operation cannot be performed because drive group state mismatches. 1500 The specified virtual drive was not found. 1501 The maximum number of virtual drives has been reached. 1502 The specified serial number for the virtual drive is already in use. 1503 The virtual drive is currently busy and cannot be deleted. 1504 The requested operation cannot be performed because the target is an imported MD. 1505 The virtual drive cannot be utilized as a stripecache backend. 1506 Cache settings for the virtual drive have not been configured. 1507 The virtual drive cannot be utilized as a stripecache target. 1513 Stripecache does not support the specified indirection unit. 1515 The virtual drive export failed due to system errors. 1516 The virtual drive has already been exported to the current target. 1518 The cache of Virtual Drive is not clean so cannot be removed. 1519 The cache cannot be removed because it is currently unavailable. 1520 The cache cannot be removed because it is currently failed. 1521 The selected export target not exported, cannot unexport. 1522 Target drive group has insufficient free space for the virtual drive's capacity. 1523 The setting of SPDK512e for exporting virtual drives is not allowed. 1600 The specified export target was not found. 1601 Export target is busy and cannot be modified or deleted. 1602 The specified configuration already exists. 1700 The remote target was not found. 1701 Remote target is busy and cannot be modified or deleted. 1702 Remote target cannot be the same as the local device. 1703 The remote target is already connected to the system. 2003 The requested feature is not supported by the license. 2004 The maximum limit for the license has been reached. 2005 The license cannot be applied. 2008 The license cannot be applied since it's expired. 2011 The license format is invalid. 2051 Operation forbidden since the license is expired. 2052 Operation forbidden since the license hasn't been applied. 2053 Product line is not matched with the driver on the host. 2054 Product version is not supported with the driver on the host. 2055 Product model is not matched with the driver on the host. 2101 Configuration of consistency check scheduling is invalid. 2103 The consistency check target is invalid. 2104 Consistency check is in progress; only one task can run at a time. 2105 Consistency check cannot be performed because no target is defined. 3005 Address family and IP address for the host do not match. 3007 IP address for the specified network interface was not found. 3008 Specified block device for the host was not found. 3009 Specified block device for the host is currently busy. 3010 Required multi-drive configurations are unavailable for the host. 3011 Provided path for the block device is invalid.
Prev
SupremeRAID™ Provision User Guide